Class Parabol


	'============================================================
	' Put your Button descriptors here
	'------------------------------------------------------------
	Private Sub Class_Initialize

		ScriptType = 	"vbs"
		ThisClassName = "Parabol"	'(Must be the same as class statement above)
		ToolTipText = 	"Ty Harness test for VBScript"
		ImageURL = 	"ButtonImages\Parabola.GIF"
		LinkURL =	""
	End Sub
	'------------------------------------------------------------

Public Sub ExecScript

'TC globals 
Dim tcApp 
Dim tcDwgs 
Dim tcDwg 
Dim tcGrs 
Dim tcVw 

'Konstants 
Const PI = 3.1415927 
Const degtorad = 0.0174532 

Set tcApp = CreateObject("TurboCAD.Application") 

Set tcDwgs = tcApp.Drawings 
if (tcDwgs.Count > 0 ) then 

Set tcDwg = tcApp.ActiveDrawing 
Set tcVw = tcDwg.ActiveView 
Set tcGrs = tcDwg.Graphics 

t1 = now 

dim x,y 
dim R 
dim Theta 
dim i 

n = InputBox("Number of units to evaluate", , 12 ) 
Theta = InputBox("Angle of axes", , 60 ) 
Theta = Theta * degtorad 

for i = 0 to n 
R = n - i 
x = R*cos(Theta) 
y = R*sin(Theta) 

set L = tcGrs.addlinesingle(i, 0 , 0 , x, y, 0 ) 
L.Properties("Info").Value = i 
tcGrs.AddText i, i, - 1 , 0 , 0.4 
tcGrs.AddText i, x- 1 , y, 0 , 0.4 
next 

tcVw.ZoomToExtents 
t2 = now 
end if 

dim diffe
diffe = round((t2-t1)*3600*24,1)
'msgbox diffe

MsgBox "Start:  " & t1 & "  Ende:  " & t2 & "  Dauer:   " & datediff("s",t1,t2) & " Sec. fr " & n & "  Linien  und "  & (n*2) & "    Beschriftungen "

Set tcDwg = Nothing 
Set tcVw = Nothing 
Set tcGrs = Nothing 
Set tcDwgs = Nothing 
Set tcApp = Nothing  


'******************




End sub 



	
	'------------------------------------------------------------



	'============================================================
	' This parts same for all classes. Do not change !!!!
	'------------------------------------------------------------

		public ThisClassName
		public ToolTipText
		public ImageURL
		public LinkURL
		public ScriptType
		

	'------------------------------------------------------------



End Class
